.user_posts {
  width: 100%;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 20px 20px;
}

.user_post {
  width: 400px;
  height: 400px;

  &__img_container {

    position: relative;
    overflow: hidden;
    width: 100%;
    height: 100%;

    &:hover .user_post__info {
      display: flex;
    }
  }

  &__info {
    display: none;
    align-items: center;
    justify-content: center;
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 2;
    font-size: 1.3rem;
    color: #ffffff;

    &_icons {
      margin: 10px;
    }

  }

  &__img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
}

